Subject: RE: I-D ACTION:draft-andersson-mpls-g-chng-proc-00.txt

From: "Elwyn Davies" <[email-masked]>
Date: Mon, 3 Mar 2003 18:39:35 -0000

Hi.

The problem-statement WG is only (nearly) chartered to document the
perceived problems and attempt to find a set of root causes if possible.  We
have published a first cut at the problems list
(draft-ietf-problem-issue-statement-00, now available on the I-D site).  

Although there are a number of problems relating to external perception of
the IETF, the liaison issue was not much talked about, possibly because the
contributors were more focused on the internal problems. Accordingly it
didn't have much of an effect on the root cause problem list - what is
discussed is the IETF's problem with not clearly setting out its mission,
and in particular the degree to which it wishes to emulate a more
conventional SDO.  The problems with liaisons can be seen as a subsidiary
symptom of this.

Anyway, the liaison problem (and the rest of the SDO relationships) has been
forcibly brought to our attention and it looks like it should feature more
prominently in the root cause problems.

As regards starting to solve it, Loa believes (G)MPLS needs a solution RSN;
on the other hand, 'how to solve the general liaison problem' needs to be
part of the direction which the 'solutions process' piece of our work will
consider shortly, and it needs to be considerd in the general light of the
IETF mission (whatever that turns out to be).

Regards,
Elwyn Davies
(editor of draft-ietf-problem-issue-statement)

> -----Original Message-----
> From: Loa Andersson [mailto:[email-masked]]
> Sent: 03 March 2003 17:42
> To: Brungard, Deborah A, ALABS
> Cc: [email-masked]
> Subject: Re: I-D ACTION:draft-andersson-mpls-g-chng-proc-00.txt
> 
> 
> Deborah,
> 
> I think there could be an agreement along those lines
> 
> - one draft that specifies the change-process
> - one draft that specifies the liasion process
> 
> both are needed for different reasons, both to be progressed 
> indepentdently
> on their own merits. If there are interdenpendencies, we'll 
> update the 
> docs as
> needed.
> 
> I did volunteer myself, not the chagne-process authors, that is not 
> something
> I can do, but I would certainly welcome them if they wanted 
> to participate.
> The key here for is to understand if the liasion process is 
> within the 
> problem
> statement work, and if so it has been addressed there or if 
> any plans exists
> to do so.
> 
> /Loa
> 
> Brungard, Deborah A, ALABS wrote:
> 
> >I think we have agreement to do a separate document on the 
> liaison process? (as I'm writing, I see a mail just now from 
> Scott saying this). Loa, not sure if you were volunteering 
> the g-chng proc authors? They are probably the most 
> appropriate. If you need support (either visible/ghosts), 
> Steve (ok, Steve?) can help from the ITU perspective, I can 
> help from the T1X1 side.
> >
> >Steve, I agree for SDOs, the key problem is the lack of a 
> liaison process. Regardless, for IETF, a change process is 
> needed. The GMPLS work is just going to rfc status and there 
> will be both individual and SDO requests for 
> additions/changes. For the liaison process, I think we need 
> to distinguish the communication protocol 
> (administrative=receive/distribution/transmit) from the 
> processing (administrative and technical) of the liaison 
> request. Both need to be clarified.
> >
> >Considering we agree to have a separate document for a 
> liaison process, and applying a constructive filter to the 
> mail exchange, Lyndon's mail and my mail have direct comments 
> on the draft, any others?
> >
> >As I noted previously, to distinguish this process from the 
> liaison process, should either remove external standards 
> bodies from the text or clarify "individuals of external 
> standards bodies".
> >
> >Agree with Lyndon, "dustbin" should be defined for non-ietf 
> aware, i.e. a note describing the option as non-standards 
> track=informational or experimental rfc.
> >
> >As Lyndon says, resources in all the standards groups are 
> extremely limited, it's in the industry and our companies 
> interests to collaborate. Let's use this week for specific 
> comments on the draft.
> >
> >Deborah
> >
> >-----Original Message-----
> >From: Stephen Trowbridge [mailto:[email-masked]]
> >Sent: Monday, March 03, 2003 9:56 AM
> >To: George Swallow
> >Cc: [email-masked]; Loa Andersson; [email-masked]; ccamp
> >Subject: Re: I-D ACTION:draft-andersson-mpls-g-chng-proc-00.txt
> >
> >
> >All,
> >Lets try to zero in on what the problem really is.
> >
> >I think that liaison handling (or the lack thereof) is not just a
> >problem. It is THE problem. Does anybody really believe that the
> >reason this draft exists in the first place is that there are a
> >bunch of individuals going wild trying to change or extend the
> >(G)MPLS protocols?
> >
> >What seems to have generated most of the arguments is the handling
> >(or bungling) of the communications process (or lack of process)
> >with other SDOs. This is the process we need to fix.
> >Dealing with requests from individuals to extend or change the
> >protocols might be good to have a process for, but realistically,
> >has any individual made such a request yet? Why is this important?
> >
> >Now, if we can agree that liaisons are THE problem,
> >there are two ways we can go:
> >- We can start work on a general purpose liaison process to be
> >applied across the whole of IETF (revival of one of the POIS*
> >working groups?).
> >- We could try to develop a pilot process for sub-IP (which is
> >where we seem to have a lot of the problems), and take what we
> >learn from its implementation to feed into a process that would
> >apply to the whole of IETF.
> >
> >While I can appreciate that a general problem should usually have
> >a general solution, there is some appeal to taking the second
> >approach because (1) we could probably get something underway
> >faster; and (2) sub-IP seems to be where the lack of such a
> >process is causing us the most pain.
> >Regards,
> >Steve
> >
> >George Swallow wrote:
> >  
> >
> >>>In message <[email-masked]>, Loa Andersson writes:
> >>>      
> >>>
> >>>>- I don't think it is agood idea to describe the two 
> process in the same
> >>>>  document. the chnage-process is for our internal use, 
> the liasion process
> >>>>  is for our commuinication with other SDOs
> >>>>        
> >>>>
> >>>If we can agree on this, then we can move forward with 
> your document.
> >>>      
> >>>
> >>I think they need to be separate because the liaison draft should
> >>apply across the board to IETF / ITU interactions and this document
> >>applies only to (G)MPLS.
> >>
> >>...George
> >>
> >>==================================================================
> >>George Swallow       Cisco Systems                  (978) 497-8143
> >>                     250 Apollo Drive
> >>                     Chelmsford, Ma 01824
> >>    
> >>
> >
> >
> >
> >
> >  
> >
> 
> 
>

---

From: Curtis Villamizar <[email-masked]>
Date: Mon, 03 Mar 2003 14:40:49 -0500

In message <[email-masked]
>, "Elwyn Davies" writes:
> This message is in MIME format. Since your mail reader does not understand
> this format, some or all of this message may not be legible.
> 
> ------_=_NextPart_001_01C2E1B4.3D0A6710
> Content-Type: text/plain;
> 	charset="iso-8859-1"
> 
> Hi.
> 

By all means, move the liason discussion to whatever WG is discussing
problem-issue-statement or form a new WG and discuss the liason issue
there.  Discussion of changes in procedure that would transform the
IETF into something else definitely require a separate WG.

Curtis